Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.strutturaaltaspecialita.vo.elencostrutturaaltaspec
Class ElencoStrutturaAltaSpecRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.strutturaaltaspecialita.vo.elencostrutturaaltaspec.ElencoStrutturaAltaSpecRequest

    public class ElencoStrutturaAltaSpecRequest

extends java.lang.Object

Field Summary
`private java.lang.String` | `codice` Codice.
`private java.lang.String` | `nome` Denominazione.
`private java.lang.String` | `tipo` Specifica la tipologia della struttura.

Constructor Summary
`ElencoStrutturaAltaSpecRequest()`

Method Summary
`java.lang.String` | `getCodice()`
`java.lang.String` | `getNome()`
`java.lang.String` | `getTipo()`
`void` | `setCodice(java.lang.String codice)`
`void` | `setNome(java.lang.String nome)`
`void` | `setTipo(java.lang.String tipo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codice

    @Facets(pattern="[0-9]*")
    private java.lang.String codice

  Codice.

### tipo

    @Facets(enumeration={"1","2","3","4"})
    private java.lang.String tipo

  Specifica la tipologia della struttura. Dovrà assumere uno dei seguenti valori:
  - 1 - ISTITUTO DI RICOVERO
  - 2 - AMBULATORIO SPECIALISTICO
  - 3 - PRESIDIO PRIVATO ACCREDITATO
  - 4 - REPARTO OSPEDALIERO

### nome

    private java.lang.String nome

  Denominazione.

Constructor Detail

### ElencoStrutturaAltaSpecRequest

    public ElencoStrutturaAltaSpecRequest()

Method Detail

### getCodice

    public java.lang.String getCodice()

### setCodice

    public void setCodice(java.lang.String codice)

### getTipo

    public java.lang.String getTipo()

### setTipo

    public void setTipo(java.lang.String tipo)

### getNome

    public java.lang.String getNome()

### setNome

    public void setNome(java.lang.String nome)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD